ComponentConstants
Date: 2016-06-25

org.osgi.service.component

## Interface ComponentConstants

-     @ProviderType
      public interface ComponentConstants

  Defines standard names for Service Component constants.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `COMPONENT_CAPABILITY_NAME` Capability name for Service Component Runtime.
    `static java.lang.String` | `COMPONENT_FACTORY` A service registration property for a Component Factory that contains the value of the `factory` attribute.
    `static java.lang.String` | `COMPONENT_ID` A component property that contains the generated id for a component configuration.
    `static java.lang.String` | `COMPONENT_NAME` A component property for a component configuration that contains the name of the component as specified in the `name` attribute of the `component` element.
    `static int` | `DEACTIVATION_REASON_BUNDLE_STOPPED` The component configuration was deactivated because the bundle was stopped.
    `static int` | `DEACTIVATION_REASON_CONFIGURATION_DELETED` The component configuration was deactivated because its configuration was deleted.
    `static int` | `DEACTIVATION_REASON_CONFIGURATION_MODIFIED` The component configuration was deactivated because its configuration was changed.
    `static int` | `DEACTIVATION_REASON_DISABLED` The component configuration was deactivated because the component was disabled.
    `static int` | `DEACTIVATION_REASON_DISPOSED` The component configuration was deactivated because the component was disposed.
    `static int` | `DEACTIVATION_REASON_REFERENCE` The component configuration was deactivated because a reference became unsatisfied.
    `static int` | `DEACTIVATION_REASON_UNSPECIFIED` The reason the component configuration was deactivated is unspecified.
    `static java.lang.String` | `REFERENCE_TARGET_SUFFIX` The suffix for reference target properties.
    `static java.lang.String` | `SERVICE_COMPONENT` Manifest header specifying the XML documents within a bundle that contain the bundle's Service Component descriptions.

- - ### Field Detail

    - #### SERVICE_COMPONENT

          static final java.lang.String SERVICE_COMPONENT

      Manifest header specifying the XML documents within a bundle that contain the bundle's Service Component descriptions.

      The attribute value may be retrieved from the `Dictionary` object returned by the `Bundle.getHeaders` method.

      See Also:
        Constant Field Values

    - #### COMPONENT_NAME

          static final java.lang.String COMPONENT_NAME

      A component property for a component configuration that contains the name of the component as specified in the `name` attribute of the `component` element. The value of this property must be of type `String`.
      See Also:
        Constant Field Values

    - #### COMPONENT_ID

          static final java.lang.String COMPONENT_ID

      A component property that contains the generated id for a component configuration. The value of this property must be of type `Long`.

      The value of this property is assigned by Service Component Runtime when a component configuration is created. Service Component Runtime assigns a unique value that is larger than all previously assigned values since Service Component Runtime was started. These values are NOT persistent across restarts of Service Component Runtime.

      See Also:
        Constant Field Values

    - #### COMPONENT_FACTORY

          static final java.lang.String COMPONENT_FACTORY

      A service registration property for a Component Factory that contains the value of the `factory` attribute. The value of this property must be of type `String`.
      See Also:
        Constant Field Values

    - #### REFERENCE_TARGET_SUFFIX

          static final java.lang.String REFERENCE_TARGET_SUFFIX

      The suffix for reference target properties. These properties contain the filter to select the target services for a reference. The value of this property must be of type `String`.
      See Also:
        Constant Field Values

    - #### DEACTIVATION_REASON_UNSPECIFIED

          static final int DEACTIVATION_REASON_UNSPECIFIED

      The reason the component configuration was deactivated is unspecified.
      Since:
        1.1
      See Also:
        Constant Field Values

    - #### DEACTIVATION_REASON_DISABLED

          static final int DEACTIVATION_REASON_DISABLED

      The component configuration was deactivated because the component was disabled.
      Since:
        1.1
      See Also:
        Constant Field Values

    - #### DEACTIVATION_REASON_REFERENCE

          static final int DEACTIVATION_REASON_REFERENCE

      The component configuration was deactivated because a reference became unsatisfied.
      Since:
        1.1
      See Also:
        Constant Field Values

    - #### DEACTIVATION_REASON_CONFIGURATION_MODIFIED

          static final int DEACTIVATION_REASON_CONFIGURATION_MODIFIED

      The component configuration was deactivated because its configuration was changed.
      Since:
        1.1
      See Also:
        Constant Field Values

    - #### DEACTIVATION_REASON_CONFIGURATION_DELETED

          static final int DEACTIVATION_REASON_CONFIGURATION_DELETED

      The component configuration was deactivated because its configuration was deleted.
      Since:
        1.1
      See Also:
        Constant Field Values

    - #### DEACTIVATION_REASON_DISPOSED

          static final int DEACTIVATION_REASON_DISPOSED

      The component configuration was deactivated because the component was disposed.
      Since:
        1.1
      See Also:
        Constant Field Values

    - #### DEACTIVATION_REASON_BUNDLE_STOPPED

          static final int DEACTIVATION_REASON_BUNDLE_STOPPED

      The component configuration was deactivated because the bundle was stopped.
      Since:
        1.1
      See Also:
        Constant Field Values

    - #### COMPONENT_CAPABILITY_NAME

          static final java.lang.String COMPONENT_CAPABILITY_NAME

      Capability name for Service Component Runtime.

      Used in `Provide-Capability` and `Require-Capability` manifest headers with the `osgi.extender` namespace. For example:

           Require-Capability: osgi.extender;
            filter:="(&(osgi.extender=osgi.component)(version>=1.3)(!(version>=2.0)))"

      Since:
        1.3
      See Also:
        Constant Field Values